%define appname	com.github.donadigo.appeditor

Name:		appeditor
Version:	1.1.1
Release:	%mkrel 1
Summary:	Edit application menu
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://github.com/donadigo/appeditor
Source0:	https://github.com/donadigo/appeditor/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	appstream-util
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(granite)
BuildRequires:	pkgconfig(gtk+-3.0)

Requires:	contractor

%description
AppEditor allows you to edit application entries in the application menu.
Some of it's features include:

- Hide and show applications from the application menu
- Create new application entries
- Change application's display name, icon and more

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{appname}

%check
appstream-util validate-relax --nonet \
    %{buildroot}%{_datadir}/metainfo/%{appname}.appdata.xml

%files -f %{appname}.lang
%doc README.md
%{_bindir}/%{appname}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/contractor/%{appname}.contract
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/metainfo/%{appname}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{appname}.svg


%changelog
* Sun Apr 19 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1569523
- new version: 1.1.1

* Thu Feb 20 2020 daviddavid <daviddavid> 1.1.0-3.mga8
+ Revision: 1545416
- add patch to fix compilation with newer vala versions
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1392112
- Rebuild with meson 0.50.1

* Fri Sep 07 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1257628
- initial package appeditor

